///////////////////////////////////////////////////////////////////////////////
//
//      ##  ######
//       ######  ###
//  ## ###############        Shark 3D Engine (www.shark3d.com)
//   ########## # # #
//    ########                Copyright (c) 1996-2006 Spinor GmbH.
//   ######### # # #          All rights reserved.
//  ##   ##########
//      ##
//
///////////////////////////////////////////////////////////////////////////////

//@cpp

#ifndef S3D_ENG_SHADER_SPECIAL_PUBLIC_H
#define S3D_ENG_SHADER_SPECIAL_PUBLIC_H

#include "../../../general/general_env.h"
#include "../../../sys/core/sys_libstd.h"

#ifdef S3D_GENERAL_PLATFORM_WIN32
#pragma warning(disable: 4273 4049 4660 4231 4251)
#pragma warning(error: 4661)
#endif

///////////////////////////////////////////////////////////////////////////////

#ifdef S3D_ENG_SHADER_SPECIAL_EXPORTS
#define S3D_ENG_SHADER_SPECIAL_PUBLIC_DECL S3D_SYS_LIBSTD_DECL_EXPORT
#define S3D_ENG_SHADER_SPECIAL_PUBLIC_TEMPL  S3D_SYS_LIBSTD_TEMPL_EXPORT
#else
#define S3D_ENG_SHADER_SPECIAL_PUBLIC_DECL S3D_SYS_LIBSTD_DECL_IMPORT
#define S3D_ENG_SHADER_SPECIAL_PUBLIC_TEMPL S3D_SYS_LIBSTD_TEMPL_IMPORT
#endif

///////////////////////////////////////////////////////////////////////////////

#endif
